"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.JiraApiError = exports.AppConfigError = exports.GitExecError = exports.JiraIssueSchema = exports.JiraIssuetypeSchema = exports.JiraKeyPrefix = exports.JiraPat = exports.JiraApiUrl = void 0;
// eslint-disable-next-line node/no-extraneous-import
const Schema = __importStar(require("@effect/schema/Schema"));
const effect_1 = require("effect");
exports.JiraApiUrl = effect_1.Brand.nominal();
exports.JiraPat = effect_1.Brand.nominal();
exports.JiraKeyPrefix = effect_1.Brand.nominal();
exports.JiraIssuetypeSchema = Schema.struct({
    name: Schema.string,
});
exports.JiraIssueSchema = Schema.struct({
    key: Schema.string,
    fields: Schema.struct({
        summary: Schema.string,
        issuetype: exports.JiraIssuetypeSchema,
    }),
});
const makeError = (tag) => (args) => effect_1.Data.struct(Object.assign({ _tag: tag }, args));
exports.GitExecError = makeError('GitExecError');
exports.AppConfigError = makeError('AppConfigError');
exports.JiraApiError = makeError('JiraApiError');
